ghc-lib-parser-9.8.2.20240223: The GHC API, decoupled from GHC versions

Copyright | (c) The University of Glasgow 2001
License | BSD-style (see the file LICENSE)
Maintainer | Jeffrey Young <jeffrey.young@iohk.io> Luite Stegeman <luite.stegeman@iohk.io> Sylvain Henry <sylvain.henry@iohk.io> Josh Meredith <josh.meredith@iohk.io>
Stability | experimental
Safe Haskell | None
Language | Haskell2010

GHC.StgToJS.Linker.Types

Description

Synopsis

- data JSLinkConfig = JSLinkConfig {
  - lcNoJSExecutables :: !Bool
  - lcNoHsMain :: !Bool
  - lcNoRts :: !Bool
  - lcNoStats :: !Bool
  - lcForeignRefs :: !Bool
  - lcCombineAll :: !Bool
  }
- defaultJSLinkConfig :: JSLinkConfig
- data LinkedObj
  - = ObjFile FilePath
  - | ObjLoaded String Object
- data LinkPlan = LinkPlan {
  - lkp_block_info :: Map Module LocatedBlockInfo
  - lkp_dep_blocks :: Set BlockRef
  - lkp_archives :: Set FilePath
  - lkp_extra_js :: Set FilePath
  }

# Documentation

data JSLinkConfig #

Constructors

JSLinkConfig |

Fields

- lcNoJSExecutables :: !Bool

  Dont' build JS executables

- lcNoHsMain :: !Bool

  Don't generate Haskell main entry

- lcNoRts :: !Bool

  Don't dump the generated RTS

- lcNoStats :: !Bool

  Disable .stats file generation

- lcForeignRefs :: !Bool

  Dump .frefs (foreign references) files

- lcCombineAll :: !Bool

  Generate all.js (combined js) + wrappers

defaultJSLinkConfig :: JSLinkConfig #

Default linker configuration

data LinkedObj #

An object file that's either already in memory (with name) or on disk

Constructors

ObjFile FilePath | load from this file
ObjLoaded String Object | already loaded: description and payload

#### Instances

Instances details

Outputable LinkedObj # |
Instance details Defined in GHC.StgToJS.Linker.Types Methods ppr :: LinkedObj -> SDoc #

data LinkPlan #

Constructors

LinkPlan |

Fields

- lkp_block_info :: Map Module LocatedBlockInfo

  Block information

- lkp_dep_blocks :: Set BlockRef

  Blocks to link

- lkp_archives :: Set FilePath

  Archives to load JS sources from

- lkp_extra_js :: Set FilePath

  Extra JS files to link

#### Instances

Instances details

Outputable LinkPlan # |
Instance details Defined in GHC.StgToJS.Linker.Types Methods ppr :: LinkPlan -> SDoc #